package io.downloaders;
/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

import io.IDownloaderConfig;

import java.io.IOException;


import model.DLInfo;
import model.transfer.TransferEngine;
import model.transfer.TransferInfo;

public class MinDotUsCfg implements IDownloaderConfig{
	
	@Override
	public TransferEngine getEngine(TransferInfo info) throws IOException {
		return new MinDotUsDownloader((DLInfo) info, this);
	}

	@Override
	public boolean validLink(String url) {
		return url.contains("min.us/")||url.contains("minus.com/");
	}

}
