/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package scheduler;

public abstract class SchedulerRunnable2 implements Runnable {

	private static int idCounter=0;
	protected int id;
	protected boolean stop;
	
	public abstract boolean errorOccoured();
	public abstract void stop();
	public abstract void enqueue();
	
	public SchedulerRunnable2() {
		id=idCounter++;
	}
	
	public boolean stopped() {
		return stop;
	}
	
	public int getId() {
		return id;
	}
	
	@Override
	public int hashCode() {
		return id;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof SchedulerRunnable2) {
			return ((SchedulerRunnable2)obj).id==id;
		} else {
			return false;
		}
	}
}
